Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class WebServiceRenderer.ConstParam

    java.lang.Object
      |
      +--oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
            |
            +--oracle.portal.provider.v2.webservice.WebServiceRenderer.ConstParam

Enclosing class:
  WebServiceRenderer

public static class WebServiceRenderer.ConstParam
extends WebServiceRenderer.ParameterBinding

Class representing a parameter bound to a constant value

Constructor Summary
`WebServiceRenderer.ConstParam()`
`WebServiceRenderer.ConstParam(java.lang.String name)`

Method Summary
`java.lang.String` | `getValue(WebServiceRenderRequest wrr)` Evaluates the binding in the context of the given `WebServiceRenderRequest`.

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
`getName, isMandatory, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceRenderer.ConstParam

    public WebServiceRenderer.ConstParam()

### WebServiceRenderer.ConstParam

    public WebServiceRenderer.ConstParam(java.lang.String name)

Method Detail

### getValue

    public java.lang.String getValue(WebServiceRenderRequest wrr)

  Evaluates the binding in the context of the given `WebServiceRenderRequest`.

  Specified by:
    `getValue` in class `WebServiceRenderer.ParameterBinding`
  Returns:
    the value of the binding for the given `WebServiceRenderRequest`. In this case, the value is always the same as the name of this constant binding.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.